#! /usr/bin/python2.4
# Copyright (C) 2008 by Intevation GmbH
# Authors:
# Bernhard Herzog <bh@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file COPYING coming with the software for details.

"""List tracks and revisions where notifications are pending"""

import treepkgcmd
from treepkg.options import create_parser
from treepkg.report import get_packager_group

def parse_commandline():
    return create_parser().parse_args()

def list_notifications(config_file):
    group = get_packager_group(config_file)
    for track in group.get_package_tracks():
        for revision in track.get_revisions():
            if revision.status.notification_mail.name == "notification_pending":
                print "%s %s %d" % (revision.status.status.name,
                                    track.name, revision.revision)
                revision.status.notification_sent()


def main():
    options, args = parse_commandline()
    list_notifications(options.config_file)

main()
